Package org.eclipse.microprofile.faulttolerance.exceptions

# Class FaultToleranceDefinitionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.microprofile.faulttolerance.exceptions.FaultToleranceException
org.eclipse.microprofile.faulttolerance.exceptions.FaultToleranceDefinitionException

All Implemented Interfaces:
  `Serializable`

public class FaultToleranceDefinitionException extends FaultToleranceException
The exception should be thrown when the definition of any Fault Tolerance annotations is invalid. The deployment should fail. Emily Jiang

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FaultToleranceDefinitionException()`
`FaultToleranceDefinitionException(String message)`
`FaultToleranceDefinitionException(String message, Throwable t)`
`FaultToleranceDefinitionException(Throwable t)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FaultToleranceDefinitionException

public FaultToleranceDefinitionException()

### FaultToleranceDefinitionException

public FaultToleranceDefinitionException(Throwable t)

### FaultToleranceDefinitionException

public FaultToleranceDefinitionException(String message)

### FaultToleranceDefinitionException

public FaultToleranceDefinitionException(String message, Throwable t)